//*********************************************************
//
// frmStepBase:         Step base form
//
// Author:		        Maher Najah
//
// (c) 2004 by Consyst SQL Inc.
//
//
//*********************************************************
using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace RepPP.VSNetWizard
{
	/// <summary>
	/// Base step form
	/// </summary>
	internal class frmStepBase : System.Windows.Forms.Form
	{
        protected frmMainBase                       m_frmMain;  // Main wizard form

        protected System.Windows.Forms.Panel        pnlStep;
		private System.ComponentModel.Container     components = null;

        //******************************************************************
        //
        /// <summary>
        /// ctor:                       Class constructor
        /// </summary>
        //
        //******************************************************************
		public frmStepBase()
		{
			InitializeComponent();
            m_frmMain = null;
		}

        //******************************************************************
        //
        /// <summary>
        /// ctor:                       Class constructor
        /// </summary>
        //
        //******************************************************************
		public frmStepBase(frmMainBase frmMain)
		{
			InitializeComponent();
            m_frmMain = frmMain;
		}

        //******************************************************************
        //
        /// <summary>
        /// Dispose:                    Dispose the form
        /// </summary>
        /// <param name="bDisposing">   true if disposing, false if finalizing</param>
        //
        //******************************************************************
        protected override void Dispose(bool bDisposing) 
        {
            if (bDisposing) {
                if (components != null) {
                    components.Dispose();
                }
            }
            base.Dispose(bDisposing);
        }

        //******************************************************************
        //
        /// <summary>
        /// StepPanel:          Step panel
        /// </summary>
        //
        //******************************************************************
        public Panel StepPanel
        {
            get {
                return(pnlStep);
            }
        }

        //******************************************************************
        //
        /// <summary>
        /// InitV:                    Initialize the step
        /// </summary>
        //
        //******************************************************************
        public virtual void InitV()
        {
        }

        //******************************************************************
        //
        /// <summary>
        /// ValidateB:                    Validate the step
        /// </summary>
        /// <returns>
        /// True:   Valid
        /// False:  Not Valid
        /// </returns>
        //
        //******************************************************************
        public virtual bool ValidateB()
        {
            return(false);
        }

        //******************************************************************
        //
        /// <summary>
        /// AttachToMainPanelV:     Attach the form to the main panel
        /// </summary>
        //
        //******************************************************************
        public void AttachToMainPanelV()
        {
            Panel pnlMain;

            pnlMain = m_frmMain.MainPanel;
            pnlMain.Controls.Clear();
            pnlMain.Controls.Add(pnlStep);
            pnlStep.Dock = DockStyle.Fill;   
        }
		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
            this.pnlStep = new System.Windows.Forms.Panel();
            this.SuspendLayout();
            // 
            // pnlStep
            // 
            this.pnlStep.Location = new System.Drawing.Point(16, 9);
            this.pnlStep.Name = "pnlStep";
            this.pnlStep.Size = new System.Drawing.Size(464, 280);
            this.pnlStep.TabIndex = 1;
            // 
            // frmStepBase
            // 
            this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
            this.ClientSize = new System.Drawing.Size(496, 302);
            this.Controls.Add(this.pnlStep);
            this.Name = "frmStepBase";
            this.Text = "frmStepBase";
            this.ResumeLayout(false);

        }
		#endregion
	}
}
